Spaces
Add a member to a space
Add one or more users to a project (Space) with specified roles, such as “admin” or “member.” This allows the new members to participate in and manage the project’s tasks and resources.
POST
/
{team_id}
/
projects
/
{project_id}
/
members
Add a new project member
curl --request POST \
--url https://api.superthread.com/v1/{team_id}/projects/{project_id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"user_id": "u-dsu0j19"
}
]
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/projects/{project_id}/members"
payload = { "members": [{ "user_id": "u-dsu0j19" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: [{user_id: 'u-dsu0j19'}]})
};
fetch('https://api.superthread.com/v1/{team_id}/projects/{project_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".
Body
application/json
New member details
Show child attributes
Show child attributes
Response
project member successfully added
Previous
Remove a member from a spaceRevoke a user's access to a specific project (Space) within the team (Workspace).
The user is identified by their unique ID, and their role and permissions in the
project are revoked.
Next
⌘I
Add a new project member
